* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background: white;
    font-family: "Gineto";
    font-weight: 400;
    font-style: normal;
    color: black;
}

main {
    padding: 16px;
    max-width: 1600px;
    margin: auto;
}

.topbar {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 72px;
    gap: 32px;
}

.site-title {
    font-size: 14px;
    line-height: 1.3;
}

/* unvisited link */
a:link {
    color: black;
    text-decoration: none;
}

/* visited link */
a:visited {
    color: black;
    text-decoration: none;
}

/* mouse over link */
a:hover {
    color: black;
    text-decoration: none;
}

/* selected link */
a:active {
    color: black;
    text-decoration: none;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(152px, 1fr));
    /* grid-template-columns:1fr; */
    row-gap: 72px;
    column-gap: 24px;
}

.item img {
    max-height: 152px;
    /* max-width: 152px; */
    cursor: pointer;
}

.item figcaption {
    display: none;
}

.filters {
    /* justify-content: flex-start; */
    display: flex;
    justify-content: flex-end;
    gap: 16px;
    flex-wrap: wrap;
}

.filters button {
    appearance: none;
    border: 0;
    background: none;
    padding: 0;
    font: inherit;
    font-size: 14px;
    cursor: pointer;
    color: black;
}

.filters button.is-active {
    text-decoration: underline;
}

.item {
    margin: 0;
}

.item.is-hidden {
    display: none;
}

.item img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: contain;
}

.item figcaption {
    margin-top: 8px;
    font-size: 14px;
    line-height: 1.3;
}

.lightbox {
    position: fixed;
    inset: 0;
    display: none;
    justify-content: center;
    align-items: center;
    padding: 6px;
    z-index: 1000;
    cursor: default;
}

.lightbox.is-open {
    display: flex;
}

.lightbox-content {
    width: 100%;
    height: 100dvh;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.lightbox img {
    max-width: 100%;
    max-height: calc(100dvh - 32px);

    width: auto;
    height: auto;

    display: block;
    cursor: pointer;
}

.lightbox-caption {
    margin-top: 4px;
    min-height: 20px;
    font-size: 14px;
    line-height: 1.2;
    background: white;
}

/* 
@media (min-width:768px) {

    .grid {
        grid-template-columns: repeat(3, 1fr);
    }

    .item img {
        max-height: 152px;
        cursor: pointer;
    }

    .item figcaption {
        display: none;
    }

    .topbar {
        flex-direction: column;
        gap: 32px;
    }

    .filters {
        justify-content: flex-start;
    }

}

@media (min-width:1024px) {

    .grid {
        grid-template-columns: repeat(8, 1fr);
    }

}

@media (min-width:1440px) {

    .grid {
        grid-template-columns: repeat(9, 1fr);
    }

} */